LibreOffice: XUnitConversion Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XUnitConversion Interface Reference

allows converting between different measurement units More...

Inheritance diagram for XUnitConversion:

## Public Member Functions
com::sun::star::awt::Point | convertPointToLogic ([in] com::sun::star::awt::Point Point, [in] short TargetUnit) raises ( com::sun::star::lang::IllegalArgumentException )
| converts the given Point, which is specified in pixels, into the given logical unit
com::sun::star::awt::Point | convertPointToPixel ([in] com::sun::star::awt::Point Point, [in] short SourceUnit) raises ( com::sun::star::lang::IllegalArgumentException )
| converts the given Point, which is specified in the given logical unit, into pixels
com::sun::star::awt::Size | convertSizeToLogic ([in] com::sun::star::awt::Size Size, [in] short TargetUnit) raises ( com::sun::star::lang::IllegalArgumentException )
| converts the given Size, which is specified in pixels, into the given logical unit
com::sun::star::awt::Size | convertSizeToPixel ([in] com::sun::star::awt::Size Size, [in] short SourceUnit) raises ( com::sun::star::lang::IllegalArgumentException )
| converts the given Size, which is specified in the given logical unit, into pixels
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows converting between different measurement units

Since
  OOo 3.0

## Member Function Documentation

## ◆ convertPointToLogic()

com::sun::star::awt::Point convertPointToLogic | ( | [in] com::sun::star::awt::Point | Point,
|  | [in] short | TargetUnit
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

converts the given Point, which is specified in pixels, into the given logical unit

Parameters

  Point | A given Point in a well known type
  TargetUnit | A type from com::sun::star::util::MeasureUnit in which the Point will convert to.

Returns
  Returns a new Point in the TargetUnit type format.

## ◆ convertPointToPixel()

com::sun::star::awt::Point convertPointToPixel | ( | [in] com::sun::star::awt::Point | Point,
|  | [in] short | SourceUnit
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

converts the given Point, which is specified in the given logical unit, into pixels

Parameters

  Point | A given Point in the SourceUnit type
  SourceUnit | The type from com::sun::star::util::MeasureUnit of the Point.

Returns
  Return a new Point in Pixel type format.

## ◆ convertSizeToLogic()

com::sun::star::awt::Size convertSizeToLogic | ( | [in] com::sun::star::awt::Size | Size,
|  | [in] short | TargetUnit
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

converts the given Size, which is specified in pixels, into the given logical unit

Parameters

  Size | A given Size in a well known type
  TargetUnit | A type from com::sun::star::util::MeasureUnit in which the Size will convert to.

Returns
  Returns a new Size in the TargetUnit type format.

## ◆ convertSizeToPixel()

com::sun::star::awt::Size convertSizeToPixel | ( | [in] com::sun::star::awt::Size | Size,
|  | [in] short | SourceUnit
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

converts the given Size, which is specified in the given logical unit, into pixels

Parameters

  Size | A given Size in a well known type
  SourceUnit | The type from com::sun::star::util::MeasureUnit of the Size.

Returns
  Returns a new Size in the TargetUnit type format.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XUnitConversion.idl